Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2009-0361

CVE information

Published

13 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

Russ Allbery pam-krb5 before 3.13, as used by libpam-heimdal, su in Solaris 10, and other software, does not properly handle calls to pam_setcred when running setuid, which allows local users to overwrite and change the ownership of arbitrary files by setting the KRB5CCNAME environment variable, and then launching a setuid application that performs certain pam_setcred operations..

CVSSv2.0 Score

Severity
Medium
Base Score
4.6/10
Exploit Score
3.9/10
Access Vector
Local
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:eyrie:pam-krb5:3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eyrie:pam-krb5:3.9:*:*:*:*:*:*:*
  Yes
- -